Subject: [bug#75720] [PATCH v6 4/5] gnu: mariadb: Enable embedded server.

From: Sughosha <[email-masked]>
Date: Sat, 23 Aug 2025 13:00:34 +0530

On Friday, August 22, 2025 8:30:07 PM India Standard Time Simon Tournier 
wrote:
> Re,
> 
> On Fri, 25 Jul 2025 at 23:05, Sughosha via Guix-patches via <guix-
[email-masked]> wrote:
> > * gnu/packages/databases.scm (mariadb)[arguments]<#:configure-flags>: Add
> > "-DWITH_EMBEDDED_SERVER=ON".
> > 
> > +         ;; Enable embedded server.
> > +         "-DWITH_EMBEDDED_SERVER=ON"
> > +
> 
> Maybe, it would be better to create an new package e.g.,
> mariadb-with-server that inherits from mariadb and has this option
> turned on.  WDYT?
> 
> Cheers,
> simon
Thanks for the suggestion. I will send a next patch series which adds mariadb-
embedded instead of modifying mariadb. I created a pull request also in 
Codeberg: https://codeberg.org/guix/guix/pulls/1556 for the same.

-- 
Sughosha